GNU Radio C++ API Reference: rpcserver_base Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
rpcserver_base Class Referenceabstract

`#include <gnuradio/rpcserver_base.h>`

## Public Member Functions
| rpcserver_base ()
| ~rpcserver_base () override
void | registerConfigureCallback (const std::string &id, const configureCallback_t callback) override=0
void | unregisterConfigureCallback (const std::string &id) override=0
void | registerQueryCallback (const std::string &id, const queryCallback_t callback) override=0
void | unregisterQueryCallback (const std::string &id) override=0
void | registerHandlerCallback (const std::string &id, const handlerCallback_t callback) override=0
void | unregisterHandlerCallback (const std::string &id) override=0
virtual void | setCurPrivLevel (const priv_lvl_t priv)
Public Member Functions inherited from callbackregister_base
| callbackregister_base ()
virtual | ~callbackregister_base ()

## Protected Attributes
priv_lvl_t | cur_priv

## Additional Inherited Members
Public Types inherited from callbackregister_base
typedef callback_t< gr::messages::msg_accepter, gr::messages::msg_accepter_sptr > | configureCallback_t
typedef callback_t< gr::messages::msg_producer, gr::messages::msg_producer_sptr > | queryCallback_t
typedef callback_t< gr::messages::msg_accepter, gr::messages::msg_accepter_sptr > | handlerCallback_t

## Constructor & Destructor Documentation

## ◆ rpcserver_base()

rpcserver_base::rpcserver_base | ( |  | ) |
| inline

References cur_priv, and RPC_PRIVLVL_ALL.

## ◆ ~rpcserver_base()

rpcserver_base::~rpcserver_base | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ registerConfigureCallback()

void rpcserver_base::registerConfigureCallback | ( | const std::string & | id,
|  | const configureCallback_t | callback )
| overridepure virtual

Implements callbackregister_base.

Implemented in rpcserver_aggregator, and rpcserver_thrift.

Referenced by rpcbasic_register_set< T, Tto >::rpcbasic_register_set(), rpcbasic_register_set< T, Tto >::rpcbasic_register_set(), rpcbasic_register_trigger< T >::rpcbasic_register_trigger(), and rpcbasic_register_trigger< T >::rpcbasic_register_trigger().

## ◆ registerHandlerCallback()

void rpcserver_base::registerHandlerCallback | ( | const std::string & | id,
|  | const handlerCallback_t | callback )
| overridepure virtual

Implements callbackregister_base.

Implemented in rpcserver_aggregator, and rpcserver_thrift.

Referenced by rpcbasic_register_handler< T >::rpcbasic_register_handler().

## ◆ registerQueryCallback()

void rpcserver_base::registerQueryCallback | ( | const std::string & | id,
|  | const queryCallback_t | callback )
| overridepure virtual

Implements callbackregister_base.

Implemented in rpcserver_aggregator, and rpcserver_thrift.

Referenced by rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), and rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get().

## ◆ setCurPrivLevel()

virtual void rpcserver_base::setCurPrivLevel | ( | const priv_lvl_t | priv | ) |
| inlinevirtual

References cur_priv.

## ◆ unregisterConfigureCallback()

void rpcserver_base::unregisterConfigureCallback | ( | const std::string & | id | ) |
| overridepure virtual

Implements callbackregister_base.

Implemented in rpcserver_aggregator, and rpcserver_thrift.

Referenced by rpcbasic_register_set< T, Tto >::~rpcbasic_register_set(), and rpcbasic_register_trigger< T >::~rpcbasic_register_trigger().

## ◆ unregisterHandlerCallback()

void rpcserver_base::unregisterHandlerCallback | ( | const std::string & | id | ) |
| overridepure virtual

Implements callbackregister_base.

Implemented in rpcserver_aggregator, and rpcserver_thrift.

Referenced by rpcbasic_register_handler< T >::~rpcbasic_register_handler().

## ◆ unregisterQueryCallback()

void rpcserver_base::unregisterQueryCallback | ( | const std::string & | id | ) |
| overridepure virtual

Implements callbackregister_base.

Implemented in rpcserver_aggregator, and rpcserver_thrift.

Referenced by rpcbasic_register_get< T, Tfrom >::~rpcbasic_register_get().

## Member Data Documentation

## ◆ cur_priv

priv_lvl_t rpcserver_base::cur_priv
| protected

Referenced by rpcserver_base(), setCurPrivLevel(), and rpcserver_thrift::shutdown().

The documentation for this class was generated from the following file:

- rpcserver_base.h